com.ietnet.fse.igestore

## Class BlindStatus

- java.lang.Object
- - com.ietnet.fse.igestore.BlindStatus

-     public class BlindStatus
      extends java.lang.Object

  Container delle informazioni sull'oscuramento e la maggior tutela di anonimato
  Author:
    grasso

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlindStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocumentBlinded()` Ritorna il valore dell'oscuramento del documento
    `java.lang.String` | `getDocumentConfidentialityCode()` Ritorna il valore della maggior tutela di anonimato per il documento
    `void` | `setDocumentBlinded(java.lang.String documentBlinded)` Imposta il valore dell'oscuramento del documento
    `void` | `setDocumentConfidentialityCode(java.lang.String documentConfidentialityCode)` Imposta il valore della maggior tutela di anonimato per il documento

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlindStatus

          public BlindStatus()

  - ### Method Detail

    - #### getDocumentBlinded

          public java.lang.String getDocumentBlinded()

      Ritorna il valore dell'oscuramento del documento
      Returns:
        true/false stante ad indicare lo stato dell'oscuramento

    - #### getDocumentConfidentialityCode

          public java.lang.String getDocumentConfidentialityCode()

      Ritorna il valore della maggior tutela di anonimato per il documento
      Returns:
        "V" se documento o dato a maggior tutela o "N" se normale

    - #### setDocumentBlinded

          public void setDocumentBlinded(java.lang.String documentBlinded)

      Imposta il valore dell'oscuramento del documento
      Parameters:
        `documentBlinded` - true/false stante ad indicare lo stato dell'oscuramento

    - #### setDocumentConfidentialityCode

          public void setDocumentConfidentialityCode(java.lang.String documentConfidentialityCode)

      Imposta il valore della maggior tutela di anonimato per il documento
      Parameters:
        `documentConfidentialityCode` - "V" se documento o dato a maggior tutela o "N" se normale